> For the complete documentation index, see [llms.txt](https://apidocs.cloudinvoice.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.cloudinvoice.net/documentacao-api/fornecedores/seek.md).

# Seek

## &#x20;Procura por Fornecedor

## Procura por fornecedor a partir do seu código ou contribuinte.

<mark style="color:blue;">`GET`</mark> `https://api.cloudinvoice.net/suppliers/seek/:search/`

#### Path Parameters

| Name                                     | Type   | Description                                   |
| ---------------------------------------- | ------ | --------------------------------------------- |
| search<mark style="color:red;">\*</mark> | string | Código/Contribuinte do fornecedor a procurar. |

{% tabs %}
{% tab title="Exemplo de Pedido" %}

```shell
curl https://api.cloudinvoice.net/suppliers/seek/500000000/
    -H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Exemplo de Resposta" %}

```json
{
  "id": 1,
  "code": 1,
  "supplier_name": "Fornecedor Demo",
  "party_class_id": 1602,
  "party_class": {
    "code": "F",
    "description": "Fornecedor"
  },
  "fiscal_number": "500000000",
  "fiscal_country_id": 1,
  "fiscal_country": {
    "code": "PT",
    "country_name": "Portugal"
  },
  "fiscal_status_type_id": 1593,
  "fiscal_status_type": {
    "code": "2",
    "description": "Sujeito Passivo de IVA"
  },
  "tax_region_id": 1,
  "tax_region": {
    "code": "PT",
    "description": "Continente"
  },
  "tax_zone_id": 21,
  "tax_zone": {
    "code": "N",
    "description": "Mercado Nacional"
  },
  "is_vat_exempt": false,
  "vat_exempt_tax_exemption_id": null,
  "vat_exempt_tax_exemption": null,
  "street1": "",
  "street2": "",
  "zip_code": "",
  "zip_locale": "",
  "city": "",
  "country_id": 1,
  "country": {
    "code": "PT",
    "country_name": "Portugal"
  },
  "district_id": null,
  "district": null,
  "locality_id": null,
  "locality": null,
  "contact1": "",
  "job_title1": "",
  "phone1": "",
  "email1": "",
  "mobile1": "",
  "fax1": "",
  "web_address": "",
  "payment_term_id": null,
  "payment_term": null,
  "payment_method_id": null,
  "payment_method": null
  "currency_id": 1,
  "currency": {
    "code": "EUR",
    "description": "Euros"
  },
  "total_debits": 0.0,
  "total_credits": 0.0,
  "current_balance": 0.0
}
```

{% endtab %}
{% endtabs %}

Para ver exemplos de pedidos nas várias linguagens, consulte a página[ Exemplos de Pedidos.](/introducao/exemplos-de-pedidos.md)
